GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::network::ULConnectionCallback Class Referenceabstract

`#include <gdcmULConnectionCallback.h>`

Inheritance diagram for gdcm::network::ULConnectionCallback:
[legend]

## Public Member Functions

| ULConnectionCallback ()
virtual | ~ULConnectionCallback ()
bool | DataSetHandles () const
virtual void | HandleDataSet (const DataSet &inDataSet)=0
void | ResetHandledDataSet ()

## Protected Member Functions

void | DataSetHandled ()

## Detailed Description

When a dataset comes back from a query/move/etc, the result can either be stored entirely in memory, or could be stored on disk. This class provides a mechanism to indicate what the ULConnectionManager should do with datasets that are produced through query results. The ULConnectionManager will call the HandleDataSet function during the course of receiving datasets. Particular implementations should fill in what that function does, including updating progress, etc. NOTE: since cmove requires that multiple event loops be employed, the callback function MUST set mHandledDataSet to true. otherwise, the cmove event loop handler will not know data was received, and proceed to end the loop prematurely.

## Constructor & Destructor Documentation

gdcm::network::ULConnectionCallback::ULConnectionCallback | ( |  | ) |

inline

virtual gdcm::network::ULConnectionCallback::~ULConnectionCallback | ( |  | ) |

inlinevirtual

## Member Function Documentation

void gdcm::network::ULConnectionCallback::DataSetHandled | ( |  | ) |

inlineprotected

bool gdcm::network::ULConnectionCallback::DataSetHandles | ( |  | ) | const

inline

virtual void gdcm::network::ULConnectionCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) |

pure virtual

Implemented in gdcm::network::ULWritingCallback, and gdcm::network::ULBasicCallback.

void gdcm::network::ULConnectionCallback::ResetHandledDataSet | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- gdcmULConnectionCallback.h